title1 1976 CENSUS OF CANADA- BST: CT-LONG FORM- CTDEMB20
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V6_F   0          = 'PROV CT'
             1          = '100000 & UP'
             2          = '50000-99999'
       ;
VALUE  V7_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V9_F   10         = 'CANADA'
             20         = 'PROV'
             30         = 'CMA'
             40         = 'CA'
             61         = 'CT IN CMA'
             62         = 'CT IN CA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       CMACA   3-5
       CTCOD   6-9
       CTNUM   10-15
       CMACANAM   $CHAR30.
       CMACASIZ   46-46
       CMACASEL   47-47
       SGCCMACA   48-50
       RECTYPE   51-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
       V16   188-196
       V17   197-205
       V18   206-214
       V19   215-223
       V20   224-232
       V21   233-241
       V22   242-250
       V23   251-259
       V24   260-268
       V25   269-277
       V26   278-286
       V27   287-295
       V28   296-304
       V29   305-313
       V30   314-322
       V31   323-331
       V32   332-340
       V33   341-349
       V34   350-358
       V35   359-367
       V36   368-376
       V37   377-385
       V38   386-394
       V39   395-403
       V40   404-412
       V41   413-421
       V42   422-430
       V43   431-439
       V44   440-448
       V45   449-457
       V46   458-466
       V47   467-475
       V48   476-484
      ;
LABEL   PROV = 'Province (region)'
        CMACA = 'CMA/CA'
        CTCOD = 'CT code'
        CTNUM = 'CT number'
        CMACANAM = 'CMA & CA name'
        CMACASIZ = 'CMA or CA pop size gp'
        CMACASEL = 'CMA or CA selector'
        SGCCMACA = 'Std geog classfcn for CMA & CA'
        RECTYPE = 'Record type'
        V1 = 'Pop-5 yrs & over: tot'
        V2 = 'Pop-5 yrs & over: male'
        V3 = 'Pop-5 yrs & over: female'
        V4 = 'Non-migrants- movers within same CMA: tot'
        V5 = 'Non-migrants- movers within same CMA: males'
        V6 = 'Non-migrants- movers within same CMA: females'
        V7 = 'Migrants within same CMA: tot'
        V8 = 'Migrants within same CMA: males'
        V9 = 'Migrants within same CMA: females'
        V10 = 'Subtot-movers within same CMA: tot'
        V11 = 'Subtot-movers within same CMA: males'
        V12 = 'Subtot-movers within same CMA: females'
        V13 = 'Migrants from other CMA, same prov: tot'
        V14 = 'Migrants from other CMA, same prov: males'
        V15 = 'Migrants from other CMA, same prov: females'
        V16 = 'Migrants from a non-CMA, same prov: tot'
        V17 = 'Migrants from a non-CMA, same prov: males'
        V18 = 'Migrants from a non-CMA, same prov: females'
        V19 = 'Migrants from same prov, CMA not stated:tot'
        V20 = 'Migrants from same prov, CMA not stated: males'
        V21 = 'Migrants from same prov, CMA not stated: females'
        V22 = 'Subtot movers from same prov: tot'
        V23 = 'Subtot movers from same prov: males'
        V24 = 'Subtot movers from same prov: females'
        V25 = 'Migrants from another CMA, diff prov: tot'
        V26 = 'Migrants from another CMA, diff prov:: males'
        V27 = 'Migrants from another CMA, diff prov:: females'
        V28 = 'Migrants from non-CMA, diff prov: tot'
        V29 = 'Migrants from non-CMA, diff prov: males'
        V30 = 'Migrants from non-CMA, diff prov: females'
        V31 = 'Migrants from diff prov, CMA not stated:tot'
        V32 = 'Migrants from diff prov, CMA not stated: males'
        V33 = 'Migrants from diff prov, CMA not stated: females'
        V34 = 'Subtot movers from diff prov: tot'
        V35 = 'Subtot movers from diff prov: males'
        V36 = 'Subtot movers from diff prov: females'
        V37 = 'Migrants from outside Canada: tot'
        V38 = 'Migrants from outside Canada: males'
        V39 = 'Migrants from outside Canada: females'
        V40 = 'Prov of res in 1971 not stated: tot'
        V41 = 'Prov of res in 1971 not stated: males'
        V42 = 'Prov of res in 1971 not stated: females'
        V43 = 'Tot movers: tot'
        V44 = 'Tot movers: males'
        V45 = 'Tot movers: females'
        V46 = 'Non-movers: tot'
        V47 = 'Non-movers: males'
        V48 = 'Non-movers: females'
      ;
FORMAT  PROV        V1_F.
        CMACASIZ    V6_F.
        CMACASEL    V7_F.
        RECTYPE     V9_F.
;
